# Governance

## Contributors

Anyone involved with Stylelint is considered a contributor.

Contributors:

- report bugs
- request new features
- improve documentation
- fix bugs
- add new features
- improve existing code

All proposed changes to Stylelint require consensus to move forward.

## Members

Several active members also support Stylelint.

Members are all volunteers who donate time and effort. They do what they can when they can.

Members:

- triage issues
- review code on pull requests
- ensure code quality

To become a member:

- 1 owner must champion an active contributor
- 2 or more owners other than the champion must agree, and no owners disagree

To remove a member:

- 1 owner must propose removing a member, usually after a period of inactivity
- 3 or more owners other than the proposer must agree, and no owners disagree

## Owners

Owners govern Stylelint.

It's largely an administrative role to:

- manage user roles
- conduct releases

To become an owner:

- 1 owner must champion an active member
- 2 or more owners other than the champion must agree, and no owners disagree

To remove an owner:

- 1 owner must propose removing an owner, usually after a period of inactivity
- 3 or more owners other than the proposer must agree, and no owners disagree

Depending on the discussion, the removed owner will become a member or a contributor.
